string File Reference

Go to the source code of this file.

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_constexpr_char_traits
#define | __glibcxx_want_constexpr_string
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_nonmember_container_access
#define | __glibcxx_want_string_resize_and_overwrite
#define | __glibcxx_want_string_udls
#define | __glibcxx_want_to_string
#define | _GLIBCXX_STRING

## Detailed Description

This is a Standard C++ Library header.

Definition in file string.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 57 of file string.

## __glibcxx_want_constexpr_char_traits

#define __glibcxx_want_constexpr_char_traits

Definition at line 58 of file string.

## __glibcxx_want_constexpr_string

#define __glibcxx_want_constexpr_string

Definition at line 59 of file string.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 60 of file string.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 61 of file string.

## __glibcxx_want_string_resize_and_overwrite

#define __glibcxx_want_string_resize_and_overwrite

Definition at line 62 of file string.

## __glibcxx_want_string_udls

#define __glibcxx_want_string_udls

Definition at line 63 of file string.

## __glibcxx_want_to_string

#define __glibcxx_want_to_string

Definition at line 64 of file string.

## _GLIBCXX_STRING

#define _GLIBCXX_STRING

Definition at line 34 of file string.